> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.ordergroove.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.ordergroove.com/_mcp/server.

# Create

POST https://restapi.ordergroove.com/customers/create/
Content-Type: application/json

Creates a new customer account.

Reference: https://docs.ordergroove.com/reference/rest-rpc-api/customers/create

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: ordergroove-restrpc
  version: 1.0.0
paths:
  /customers/create/:
    post:
      operationId: create
      summary: Create
      description: Creates a new customer account.
      tags:
        - customers
      parameters:
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Customers_create_Response_200'
        '400':
          description: '400'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Customers-createRequestBadRequestError'
        '403':
          description: '403'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Customers-createRequestForbiddenError'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                merchant:
                  type: string
                  description: Merchant ID
                merchant_user_id:
                  type: string
                  description: Merchant User ID
                session_id:
                  type: string
                  description: Session ID, obtained from og_session_id cookie.
                user_token_id:
                  type: string
                  description: User Token ID
                first_name:
                  type: string
                  description: Customer first name
                last_name:
                  type: string
                  description: Customer last name
                email:
                  type: string
                  description: Customer email
                phone_number:
                  type: string
                  description: Customer phone number
                phone_type:
                  type: string
                  description: >-
                    Customer phone type: "invalid", "landline", "mobile", or
                    "voip"
                live:
                  type: boolean
                  description: 'Account status: active = True'
                created:
                  type: string
                  description: Date of account creation
                last_updated:
                  type: string
                  description: Date of last customer account update
                last_login:
                  type: string
                  description: Date of last customer account login
                extra_data:
                  type: string
                  description: >-
                    Raw JSON string that should be JSON.parse() as key/value
                    store for any extra information.
                locale:
                  type: integer
                  description: >-
                    Customer locale code. Accepts a locale string (e.g.
                    `"en-US"`) or an integer ID for backwards compatibility.
                experiences:
                  type: string
                  description: >-
                    Experience name and Boolean value as key/value store,
                    formatted as raw JSON string, to be JSON.parse() on
                    retrieval
                price_code:
                  type: string
                  description: Customer price code
              required:
                - merchant
                - merchant_user_id
                - session_id
                - user_token_id
                - first_name
                - last_name
                - email
                - phone_number
                - phone_type
                - live
                - created
                - last_updated
                - last_login
                - locale
servers:
  - url: https://restapi.ordergroove.com
    description: https://restapi.ordergroove.com
components:
  schemas:
    Customers_create_Response_200:
      type: object
      properties: {}
      description: Empty response body
      title: Customers_create_Response_200
    Customers-createRequestBadRequestError:
      type: object
      properties:
        '[field_name]':
          type: string
      title: Customers-createRequestBadRequestError
    Customers-createRequestForbiddenError:
      type: object
      properties:
        detail:
          type: string
      title: Customers-createRequestForbiddenError
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

```

## Examples



**Request**

```json
{
  "merchant": "string",
  "merchant_user_id": "string",
  "session_id": "string",
  "user_token_id": "string",
  "first_name": "string",
  "last_name": "string",
  "email": "string",
  "phone_number": "string",
  "phone_type": "string",
  "live": true,
  "created": "string",
  "last_updated": "string",
  "last_login": "string",
  "locale": 1
}
```

**Response**

```json
"{\n  \"merchant\": \"ac4f7938383a11e89ecbbc764e1107f2\",\n  \"merchant_user_id\": \"12345\",\n  \"session_id\": \"5bda04dc429d11e4bd78bc764e106cf4.463053.1418160308\",\n  \"user_token_id\": \"bda1c6b0084811e6965ebc764e106cf4\",\n  \"first_name\": \"Michal\",\n  \"last_name\": \"Swiader\",\n  \"email\": \"michal@swiader.com\",\n  \"phone_number\": \"+15551231234\",\n  \"phone_type\": \"0\",\n  \"live\": \"True\",\n  \"created\": \"2020-02-29 12:00:00\",\n  \"last_updated\": \"2020-02-29 12:00:00\",\n  \"last_login\": \"2020-02-29 12:00:00\",\n  \"extra_data\": \"{\\\"some\\\": \\\"extra\\\", \\\"fields\\\": \\\"here\\\"}\",\n  \"locale\": 42\n\t\"experiences\": \"{\\\"reorder\\\": true, \\\"subscription-management\\\": false}\"\n}\n"
```

**SDK Code**

```python Result
import requests

url = "https://restapi.ordergroove.com/customers/create/"

payload = {
    "merchant": "string",
    "merchant_user_id": "string",
    "session_id": "string",
    "user_token_id": "string",
    "first_name": "string",
    "last_name": "string",
    "email": "string",
    "phone_number": "string",
    "phone_type": "string",
    "live": True,
    "created": "string",
    "last_updated": "string",
    "last_login": "string",
    "locale": 1
}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Result
const url = 'https://restapi.ordergroove.com/customers/create/';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"merchant":"string","merchant_user_id":"string","session_id":"string","user_token_id":"string","first_name":"string","last_name":"string","email":"string","phone_number":"string","phone_type":"string","live":true,"created":"string","last_updated":"string","last_login":"string","locale":1}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Result
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://restapi.ordergroove.com/customers/create/"

	payload := strings.NewReader("{\n  \"merchant\": \"string\",\n  \"merchant_user_id\": \"string\",\n  \"session_id\": \"string\",\n  \"user_token_id\": \"string\",\n  \"first_name\": \"string\",\n  \"last_name\": \"string\",\n  \"email\": \"string\",\n  \"phone_number\": \"string\",\n  \"phone_type\": \"string\",\n  \"live\": true,\n  \"created\": \"string\",\n  \"last_updated\": \"string\",\n  \"last_login\": \"string\",\n  \"locale\": 1\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Result
require 'uri'
require 'net/http'

url = URI("https://restapi.ordergroove.com/customers/create/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"merchant\": \"string\",\n  \"merchant_user_id\": \"string\",\n  \"session_id\": \"string\",\n  \"user_token_id\": \"string\",\n  \"first_name\": \"string\",\n  \"last_name\": \"string\",\n  \"email\": \"string\",\n  \"phone_number\": \"string\",\n  \"phone_type\": \"string\",\n  \"live\": true,\n  \"created\": \"string\",\n  \"last_updated\": \"string\",\n  \"last_login\": \"string\",\n  \"locale\": 1\n}"

response = http.request(request)
puts response.read_body
```

```java Result
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://restapi.ordergroove.com/customers/create/")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"merchant\": \"string\",\n  \"merchant_user_id\": \"string\",\n  \"session_id\": \"string\",\n  \"user_token_id\": \"string\",\n  \"first_name\": \"string\",\n  \"last_name\": \"string\",\n  \"email\": \"string\",\n  \"phone_number\": \"string\",\n  \"phone_type\": \"string\",\n  \"live\": true,\n  \"created\": \"string\",\n  \"last_updated\": \"string\",\n  \"last_login\": \"string\",\n  \"locale\": 1\n}")
  .asString();
```

```php Result
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://restapi.ordergroove.com/customers/create/', [
  'body' => '{
  "merchant": "string",
  "merchant_user_id": "string",
  "session_id": "string",
  "user_token_id": "string",
  "first_name": "string",
  "last_name": "string",
  "email": "string",
  "phone_number": "string",
  "phone_type": "string",
  "live": true,
  "created": "string",
  "last_updated": "string",
  "last_login": "string",
  "locale": 1
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Result
using RestSharp;

var client = new RestClient("https://restapi.ordergroove.com/customers/create/");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"merchant\": \"string\",\n  \"merchant_user_id\": \"string\",\n  \"session_id\": \"string\",\n  \"user_token_id\": \"string\",\n  \"first_name\": \"string\",\n  \"last_name\": \"string\",\n  \"email\": \"string\",\n  \"phone_number\": \"string\",\n  \"phone_type\": \"string\",\n  \"live\": true,\n  \"created\": \"string\",\n  \"last_updated\": \"string\",\n  \"last_login\": \"string\",\n  \"locale\": 1\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Result
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "merchant": "string",
  "merchant_user_id": "string",
  "session_id": "string",
  "user_token_id": "string",
  "first_name": "string",
  "last_name": "string",
  "email": "string",
  "phone_number": "string",
  "phone_type": "string",
  "live": true,
  "created": "string",
  "last_updated": "string",
  "last_login": "string",
  "locale": 1
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://restapi.ordergroove.com/customers/create/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```